Bug 247330 - Package removal uninstalls other packages' GConf schemas
Package removal uninstalls other packages' GConf schemas
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bluez-gnome (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-06 22:12 EDT by Kai Thomsen
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-10 16:57:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kai Thomsen 2007-07-06 22:12:29 EDT
Description of problem:
The RPM package's scriptlets pass all installed *.schemas files to "gconftool-2 
--makefile-{un,}install-rule" instead of just the bluez-gnome one. Thus, 
uninstalling the package robs all GConf-using apps of their default 
preferences, and all (GUI) hell breaks loose.

Version-Release number of selected component (if applicable):
0.8-1.fc7

How reproducible:
always

Steps to Reproduce:
1. Install bluez-gnome-0.8-1.fc7, or make sure it's installed.
2. Remove the package: rpm -e bluez-gnome
  
Actual results:
bluez-gnome is uninstalled, but GNOME apps begin to behave abnormally.

Expected results:
Other software shouldn't be affected by the package removal.

Additional info:
Comment 1 Bastien Nocera 2007-07-07 16:24:17 EDT
bluez-gnome-0.8-2.fc7 pushed to testing, fixed in rawhide.
Comment 2 Fedora Update System 2007-07-09 11:45:47 EDT
bluez-gnome-0.8-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2007-07-12 19:38:31 EDT
bluez-gnome-0.8-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.